# This file created by conda-build 24.3.0
# meta.yaml template originally from:
# /__w/rapids-cmake/rapids-cmake/conda/recipes/rapids_core_dependencies, last modified Wed Apr 10 14:46:05 2024
# ------------------------------------------------

package:
  name: rapids_core_dependencies
  version: 24.04.00
source:
  git_url: /__w/rapids-cmake/rapids-cmake
build:
  ignore_run_exports_from:
    - nvcc_linux-aarch64
  number: '0'
  string: cuda11_240410_g0d6b5a5_0
requirements:
  build:
    - _openmp_mutex 4.5 2_gnu
    - _sysroot_linux-aarch64_curr_repodata_hack 4 h57d6b7b_14
    - binutils_impl_linux-aarch64 2.40 h870a726_0
    - binutils_linux-aarch64 2.40 h95d2017_3
    - bzip2 1.0.8 h31becfc_5
    - c-ares 1.28.1 h31becfc_0
    - ca-certificates 2024.2.2 hcefe29a_0
    - cmake 3.29.1 hef020d8_0
    - cuda-version 11.8 h70ddcb2_3
    - gcc_impl_linux-aarch64 11.4.0 h0207d0b_5
    - gcc_linux-aarch64 11.4.0 hd664738_3
    - gxx_impl_linux-aarch64 11.4.0 h0207d0b_5
    - gxx_linux-aarch64 11.4.0 h27552d9_3
    - kernel-headers_linux-aarch64 4.18.0 h5b4a56d_14
    - keyutils 1.6.1 h4e544f5_0
    - krb5 1.21.2 hc419048_0
    - ld_impl_linux-aarch64 2.40 h2d8c526_0
    - libcurl 8.7.1 h4e8248e_0
    - libedit 3.1.20191231 he28a2e2_2
    - libev 4.33 h31becfc_2
    - libexpat 2.6.2 h2f0025b_0
    - libgcc-devel_linux-aarch64 11.4.0 h7ce4923_105
    - libgcc-ng 13.2.0 hf8544c7_5
    - libgomp 13.2.0 hf8544c7_5
    - libnghttp2 1.58.0 hb0e430d_1
    - libsanitizer 11.4.0 h6bfd624_5
    - libssh2 1.11.0 h492db2e_0
    - libstdcxx-devel_linux-aarch64 11.4.0 h7ce4923_105
    - libstdcxx-ng 13.2.0 h9a76618_5
    - libuv 1.48.0 h31becfc_0
    - libzlib 1.2.13 h31becfc_5
    - make 4.3 h309ac5b_1
    - ncurses 6.4.20240210 h0425590_0
    - ninja 1.11.1 hdd96247_0
    - nvcc_linux-aarch64 11.8 hc5fb5b2_23
    - openssl 3.2.1 h31becfc_1
    - rhash 1.4.4 h31becfc_0
    - sed 4.8 ha0d5d3d_0
    - sysroot_linux-aarch64 2.17 h5b4a56d_14
    - xz 5.2.6 h9cdd2b7_0
    - zstd 1.5.5 h4c53e97_0
  host:
    - _openmp_mutex 4.5 2_gnu
    - cuda-version 11.8 h70ddcb2_3
    - libgcc-ng 13.2.0 hf8544c7_5
    - libgomp 13.2.0 hf8544c7_5
    - libstdcxx-ng 13.2.0 h9a76618_5
  run:
    - cuda-version >=11,<12.0a0
    - libgcc-ng >=12
    - libstdcxx-ng >=12
about:
  description: 'A subset of RAPIDS CUDA/C++ dependencies that need

    to be packaged with custom C++ header locations to

    avoid compiler issues.

    '
  home: https://rapids.ai/
  license: Apache-2.0
  license_family: Apache
  license_file: LICENSE
  summary: RAPIDS patched CUDA dependencies
extra:
  copy_test_source_files: true
  final: true
